## roundcube-plugins-extra 0.6

=== debian/changelog ===
roundcube-plugins-extra (0.6-20111030ubuntu1) precise; urgency=low

  * Drop jqueryui, now part of Roundcube releases: (LP: #1022024)
    - Bump Depends to Roundcube >= 0.7-3~,
    - Remove Depends on libjs-jquery-ui,
    - Drop debian/patches/use-debian-jquery-ui.patch. 

 -- Chris Johnston <chrisjohnston@ubuntu.com>  Wed, 16 Jan 2013 15:19:46 +0000

roundcube-plugins-extra (0.6-20111030) unstable; urgency=low

  * Use system-wide PEAR Net_Sieve instead of the embedded copy in sieverules.
    (Closes: #645637)

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 05 Nov 2011 14:36:17 +0100

roundcube-plugins-extra (0.6-20111017) unstable; urgency=low

  * Plugins now target Roundcube version 0.6.
  * Fix internationalization issue in keyboard_shortcuts.
  * Add french localization to keyboard_shortcuts.
  * Add french localization to listcommands.
  * Upgrade contextmenu to version 1.8-20110902.
  * Upgrade copymessage to version 1.1-20110218.
  * Upgrade markasjunk2 to version 1.3-20110922.
  * Add quickrules (1.0-20110926).
  * Upgrade sieverules to version 1.14-20110924.
  * Make dovecot_impersonate compatible with sieverules.
  * Upgrade zipdownload to version 1.3-20110619.
  * Adjust source and version for sauserprefs.
  * Update and fix debian/copyright.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 17 Oct 2011 11:46:14 +0200

roundcube-plugins-extra (0.5.4-20110919) unstable; urgency=low

  * Bump version number for Roundcube to 0.5.4.
  * Upgrade sieverules to version 1.11-20110813.
  * Label jqueryui as version 1.8+dfsg instead of 1.8.12+dfsg.
  * Upgrade sauserprefs to version 1.6-20110828.
  * Upgrade markasjunk2 to version 1.3.
  * Fix typo in debian/copyright.
  * Use system-wide jQuery Mousewheel plugin in contextmenu.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 19 Sep 2011 17:13:54 +0200

roundcube-plugins-extra (0.5.3-20110719) unstable; urgency=low

  * Compress plain tar archives in debian/scripts/get-orig-tarballs.
  * Exclude INSTALL and Exclude-patterns from installed files.
  * Add fail2ban (1.1).
  * Add zipdownload (1.3).
  * Add dkimstatus (4.7).

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 19 Jul 2011 15:58:07 +0200

roundcube-plugins-extra (0.5.3-20110619) unstable; urgency=low

  * Initial release.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 19 Jun 2011 02:59:56 +0200
