=== debian/control ===
Source: roundcube-plugins-extra
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
Uploaders: Jérémy Bobbio <lunar@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-roundcube/roundcube-plugins-extra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube-plugins-extra.git

Package: roundcube-plugins-extra
Architecture: all
Depends: roundcube-core (>= 0.7-3~), ${misc:Depends},
 libjs-jquery-mousewheel, php-net-sieve (>= 1.3.2)
Suggests: fail2ban
Description: skinnable AJAX based webmail solution - extra plugins
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package provides a collection of several plugins for Roundcube that
 are not maintained directly by Roundcube authors, namely:
  - compose_addressbook
  - contextmenu
  - copymessage
  - dkimstatus
  - dovecot_impersonate
  - fail2ban
  - keyboard_shortcuts
  - listcommands
  - markasjunk2
  - message_highlight
  - quickrules
  - sauserprefs
  - sieverules
  - zipdownload
 .
 They should be enabled in the configuration of Roundcube.
