## roundcube-plugins-extra 0.7

=== debian/changelog ===
roundcube-plugins-extra (0.7-20120110~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 04 May 2012 10:39:35 +0200

roundcube-plugins-extra (0.7-20120110) unstable; urgency=low

  * Upgrade contextmenu to version 1.8-20111210.
  * Upgrade copymessage to version 1.1-20111122.
  * Upgrade dkimstatus to version 4.8.
  * Upgrade fail2ban to version 1.1+20111109:
    - Refresh debian/patches/adjust-fail2ban-readme.patch.
  * Drop jqueryui, now part of Roundcube releases:
    - Bump Depends to Roundcube >= 0.7-3~,
    - Remove Depends on libjs-jquery-ui,
    - Drop debian/patches/use-debian-jquery-ui.patch.
  * Upgrade markasjunk2 to version 1.3-20111210.
  * Upgrade quickrules to version 1.0-20111210.
  * Upgrade sieverules to version 1.16-20111210.
  * Upgrade sauserprefs to version 1.7-20111210.
  * Upgrade zipdownload to version 1.3-20111210.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 10 Jan 2012 18:28:16 +0100

roundcube-plugins-extra (0.5.3-20110719~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 01 Aug 2011 15:54:51 +0200
