=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: roundcube-plugins-extra
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
 Uploaders: Jérémy Bobbio <lunar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.2
@@ -11,8 +10,10 @@
 
 Package: roundcube-plugins-extra
 Architecture: all
-Depends: roundcube-core (>= 0.7-3~), ${misc:Depends},
- libjs-jquery-mousewheel, php-net-sieve (>= 1.3.2)
+Depends: libjs-jquery-mousewheel,
+         php-net-sieve (>= 1.3.2),
+         roundcube-core (>= 0.7-3~),
+         ${misc:Depends}
 Suggests: fail2ban
 Description: skinnable AJAX based webmail solution - extra plugins
  RoundCube Webmail is a browser-based multilingual IMAP client with an
