## roundcube-plugins-extra 0.9.2

=== debian/changelog ===
roundcube-plugins-extra (0.9.2-20130819) unstable; urgency=low

  * Ensure compatibility with Roundcube 0.9.2.
    (Closes: #657035, #671411, #711720, #719521)
  * Remove zipdownload as its part of Roundcube since 0.9.
  * Upgrade compose_addressbook to version 8.0.4. (Closes: #699331)
  * Upgrade contextmenu to version 1.10-20130303+dfsg.
  * Upgrade copymessage to version 1.3-20130224.
  * Upgrade dovecot_impersonate to version 2.0:
    - Refresh make-dovecot-impersonate-compatible-with-sieverules.patch.
  * Upgrade keyboard_shortcuts to version 2.1:
    - Refresh add-keyboard-shortcuts-l10n-fr.patch.
    - Refresh fix-keyboard-shortcuts-i18n.patch
  * Upgrade listcommands to version 2.2.3:
    - Remove obsolete add-listcommands-l10n-fr.patch
  * Upgrade markasjunk2 to version 1.6-20130427.
  * Upgrade message_highlight to version 2.3.
  * Upgrade quickrules to version 1.4-20130224.
  * Upgrade sauserprefs to version 1.10-20130224.
  * Upgrade sieverules to version 1.18-20130507.
  * Add thunderbird_labels (0.9)
  * Add support for .bz2 tarballs in get-orig-tarballs.
  * Also install files named 'Changelog' to handle thunderbird_labels.
  * Correctly sort plugins by name in debian/plugins.
  * Stop storing sources with Debian patches applied.
  * Switch to use --auto-compress tar flag in extract-tarballs.
  * Teach extract-tarballs about bz2 and xz compressed sources.
  * Use the more specific Expat instead of MIT in debian/copyright.

  [ Jan Wagner ]
  * Add missing copyright for jquery.maskedinput.js

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 19 Aug 2013 18:57:51 +0200
