=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: libjs-jquery-mousewheel,
          php-net-sieve (>= 1.3.2),
-         roundcube-core (>= 0.7-3~),
+         roundcube-core (>= 0.9.2),
          ${misc:Depends}
 Suggests: fail2ban
 Description: skinnable AJAX based webmail solution - extra plugins
@@ -38,6 +38,6 @@
   - quickrules
   - sauserprefs
   - sieverules
-  - zipdownload
+  - thunderbird_labels
  .
  They should be enabled in the configuration of Roundcube.
