=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_installdocs
 	. $(CURDIR)/debian/scripts/plugin-functions.sh; \
 	for plugin in $$(get_plugins); do \
-		for file in CHANGELOG CHANGES; do \
+		for file in CHANGELOG CHANGES Changelog; do \
 			if [ -f "$(CURDIR)/$(INSTALL_PLUGIN_DIR)/$$plugin/$$file" ]; then \
 				mv "$(CURDIR)/$(INSTALL_PLUGIN_DIR)/$$plugin/$$file" "$(CURDIR)/debian/roundcube-plugins-extra/usr/share/doc/roundcube-plugins-extra/changelog.$$plugin"; \
 			fi; \
