## roundcube-plugins-extra 1.1.3

=== debian/changelog ===
roundcube-plugins-extra (1.1.3-20151025) unstable; urgency=medium

  [ Vincent Bernat ]
  * Dependency on appropriate roundcube version.

  [ Sandro Knauß ]
  * rename all plugins without version number
  * Add nonminified js code
    - Add yui-compressor as build-dep
  * Update patches to point to the correct files.
  * use uscan to search and update the plugins.
  * Also install readme.md and MANUAL.md in docs dir
  * There is no sieverules/lib/Net/Sieve.php anymore
    - delete dependency for php-net-sieve
  * Added overrides file
  * Bump Standards-Version to 3.9.6
    - Update copyright to copyright-format/1.0
  * Updated fail2ban to 1.3
  * Updated sieverules to 2.3

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 24 Oct 2015 21:59:41 +0200

roundcube-plugins-extra (1.1.2-20150821) unstable; urgency=medium

  * Ensure compatibility with Roundcube 1.1.2.
    (Closes: #783679)
  * Updated contextmenu to 2.1.2
  * Updated dovecot-impersonate to 2.1
  * Updated fail2ban to 1.2
  * Updated keyboard_shortcuts to 2.4.1
  * Updated listcommands to 2.3.5
  * Updated markasjunk2 to 1.9
  * Updated message-highlight to 2.6
  * Updated sauserprefs to 1.15
  * Updated sieverules to 2.2
  * Updated thunderbird_labels to 1.0.0
  * remove copymessage - merged into roundcube core
  * remove quickrules - merged with sieverules
  * Updated patches
  * Updated copyright file
  * Added myself to Uploaders.

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 21 Aug 2015 13:52:03 +0200
