=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,8 @@
 
 INSTALL_PLUGIN_DIR = debian/roundcube-plugins-extra/usr/share/roundcube/plugins
 
-extract-tarballs:
-	dh_testdir
-	$(CURDIR)/debian/scripts/extract-tarballs
-
-get-orig-tarballs:
-	dh_testdir
-	$(CURDIR)/debian/scripts/get-orig-tarballs
+update:
+	$(CURDIR)/debian/scripts/plugins.py
 
 %:
 	dh $@
@@ -18,6 +13,14 @@
 	find $(CURDIR)/$(INSTALL_PLUGIN_DIR) \
 		-type f -print0 | xargs -0 chmod -x
 
+override_dh_auto_build:
+	>sieverules/jquery.maskedinput.js cat debian/missing-sources/jquery.maskedinput.js
+	dh_auto_build
+
+override_dh_auto_clean:
+	rm -f sieverules/jquery.maskedinput.js
+	dh_auto_clean
+
 override_dh_auto_test:
 	dh_auto_test
 	$(CURDIR)/debian/scripts/check-long-description
@@ -26,11 +29,15 @@
 	# Install plugins
 	. $(CURDIR)/debian/scripts/plugin-functions.sh; \
 	for plugin in $$(get_plugins); do \
-		extra_excludes=$$(get_plugin_field $$plugin Exclude-patterns 2>/dev/null | \
-				  awk '{ print "--exclude=" $$0 }'); \
-		dh_install --exclude=LICENSE --exclude=INSTALL $$extra_excludes \
-			"$$(get_plugin_dir $$plugin)/*" usr/share/roundcube/plugins/$$plugin; \
+		dh_install --exclude=LICENSE --exclude=INSTALL \
+			"$$plugin/*" usr/share/roundcube/plugins/$$plugin; \
 	done
+
+	#Convert .js back to min.js
+	for js in $$(find $(CURDIR)/debian/roundcube-plugins-extra -type f -name '*.js' -not -name '*.min.js' -print); do \
+		yui-compressor --type js "$$js" -o "$${js%.*}.min.js" ; \
+	done
+
 	# Plugins are in usr/share/roundcube/plugins, for each plugin
 	# if there is config.inc.php.dist, we symlink a config.inc.php
 	# in /etc/roundcube/plugins with some dummy content.
@@ -58,7 +65,7 @@
 				mv "$(CURDIR)/$(INSTALL_PLUGIN_DIR)/$$plugin/$$file" "$(CURDIR)/debian/roundcube-plugins-extra/usr/share/doc/roundcube-plugins-extra/changelog.$$plugin"; \
 			fi; \
 		done; \
-		for file in README README.md; do \
+		for file in README README.md readme.md MANUAL.md; do \
 			if [ -f "$(CURDIR)/$(INSTALL_PLUGIN_DIR)/$$plugin/$$file" ]; then \
 				mv "$(CURDIR)/$(INSTALL_PLUGIN_DIR)/$$plugin/$$file" "$(CURDIR)/debian/roundcube-plugins-extra/usr/share/doc/roundcube-plugins-extra/$$plugin.$$file"; \
 			fi; \
