## roundcube-plugins-extra 1.2.1

=== debian/changelog ===
roundcube-plugins-extra (1.2.1-20160803) unstable; urgency=medium

  * Update listcommands to 2.4
  * Update links to use https instead of http
  * Resort Uploaders and Maintainer
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Update comapt level (no changes needed)
  * Update lintian overrides

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 03 Aug 2016 15:18:08 +0200
