=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: roundcube-plugins-extra
+Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
+Uploaders: Jérémy Bobbio <lunar@debian.org>,
+           Sandro Knauß <bugs@sandroknauss.de>
 Section: web
 Priority: extra
-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
-Uploaders: Jérémy Bobbio <lunar@debian.org>, Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                yui-compressor
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-roundcube/roundcube-plugins-extra.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube-plugins-extra.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube-plugins-extra.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube-plugins-extra.git
 
 Package: roundcube-plugins-extra
 Architecture: all
