## roundcube-plugins-extra 1.3.0

=== debian/changelog ===
roundcube-plugins-extra (1.3.0-20170826) unstable; urgency=medium

  * Update markasjunk to 1.11.1
  * Update sauserprefs to 1.17
  * Update contextmenu to 2.3
  * Update listcommands to 2.5.2
  * Update message-highlight to 3.1
  * Bump compat level to 10 (no changes needed).
  * Update Standards-Version to 4.1.0 (no changes needed).

 -- Sandro Knauß <hefee@debian.org>  Sat, 09 Sep 2017 17:37:00 +0200
