=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: roundcube-plugins-extra
 Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
 Uploaders: Jérémy Bobbio <lunar@debian.org>,
-           Sandro Knauß <bugs@sandroknauss.de>
+           Sandro Knauß <hefee@debian.org>
 Section: web
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                yui-compressor
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube-plugins-extra.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube-plugins-extra.git
