## roundcube-plugins-extra 1.3.8

=== debian/changelog ===
roundcube-plugins-extra (1.3.8-20190219) unstable; urgency=low

  [ Guilhem Moulin ]
  * debian/control:
    + Add self to Uploaders.
    + Bump Standards-Version to 4.1.4.  Replace priority 'extra' with
      'optional'.
    + Migrate Vcs-Browser and Vcs-Git from Alioth to Salsa.

  [ Sandro Knauß ]
  * Update keyboard-shortcuts to 2.5
  * Update message-highlight to 4.4
  * Update markasjunk2 to 1.11.2
  * Update sauserprefs to 1.17.1
  * Rename plugins to correct name (Closes: #888765):
    - thunderbird-labels -> thunderbird_labels
    - compose-addressbook -> compose_addressbook
    - dovecot-impersonate -> dovecot_impersonate
    - keyboard-shortcuts -> keyboard_shortcuts
    - message-highlight -> message_highlight
    - thunderbird-labels -> thunderbird_labels
  * Update watch files for components.
  * Update Build-Deps (debhelper 11).
  * Requires new roundcube (1.3.8).
  * Update patch hunks.
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Feb 2019 20:35:30 +0100
