=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: roundcube-plugins-extra
 Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
 Uploaders: Jérémy Bobbio <lunar@debian.org>,
-           Sandro Knauß <hefee@debian.org>
+           Sandro Knauß <hefee@debian.org>,
+           Guilhem Moulin <guilhem@debian.org>
 Section: web
-Priority: extra
-Build-Depends: debhelper (>= 10),
+Priority: optional
+Build-Depends: debhelper (>= 11),
                yui-compressor
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube-plugins-extra.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube-plugins-extra.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra.git
+Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra
 
 Package: roundcube-plugins-extra
 Architecture: all
 Depends: libjs-jquery-mousewheel,
-         roundcube-core (>= 1.1.2),
+         roundcube-core (>= 1.3.8),
          ${misc:Depends}
 Suggests: fail2ban
 Description: skinnable AJAX based webmail solution - extra plugins
