## roundcube-plugins-extra 1.4.7+1

=== debian/changelog ===
roundcube-plugins-extra (1.4.7+1-1) unstable; urgency=medium

  * New upstream release:
    - Update thunderbird-labels to version 1.4.8 from 1.4.6.
    - Update authres-status to version 0.6.1 from 0.5.2.  This includes new
      CSS for Roundcube's default "Elastic" theme which displays the
      authentication status more prominently.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 15 Jul 2020 17:33:05 +0200

roundcube-plugins-extra (1.4.6+1-1) unstable; urgency=low

  * Change versioning scheme to $roundcube_version+$revision-$debian_revision.
    This gives more flexibility as it allows upgrading plugins between two
    Roundcube package uploads, and even two uploads the same day.  This change
    doesn't require an epoch.
  * debian/plugins/*/watch: Remove unused watch option 'oversionmangle'.
  * debian/scripts/plugins.py: Don't download/unpack orig tarballs.  We use
    `debian/scripts/get-orig-tarballs` and `debian/scripts/extract-tarballs`
    for that.
  * debian/scripts/get-orig-tarballs:
    + Download orig tarballs into ${USCAN_DESTDIR:-..}.
    + Repack using mk-origtargz(1), so we don't have to parse d/copyright
      ourselves or define other exclude patterns.
  * debian/scripts/extract-tarballs:
    + Get orig tarballs from ${USCAN_DESTDIR:-..}.
    + Automatically update the git tree.
  * debian/copyright: Add generated CSS/JS to Files-Excluded-*:.
  * Update thunderbird-labels to version 1.4.6 from 1.4.2
  * debian/rules: Fix FTBFS on systems where lessc(1) uses node 12.18.0.
  * debian/rules: Also minify CSS.  This adds yui-compressor to Build-Depends.
  * debian/patches, debian/rules: Don't patch the LESS sources so the CSS can
    easily be rebuilt on the target system if desired.
  * debian/control: Drop dependency on libjs-jquery-mousewheel.  contextmenu
    doesn't use it anymore since version 1.13.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 15 Jun 2020 18:48:48 +0200

roundcube-plugins-extra (1.4.4-20200603) unstable; urgency=medium

  * d/control: Update Maintainer: field to use @alioth-lists.debian.net not
     deprecated @lists.alioth.debian.org.
  * Update contextmenu to 3.2 from 3.1
  * Update sauserprefs to 1.18.2 from 1.18.1
  * d/control: Bump minimum Roundcube version to 1.4.4 (for contextmenu 3.2).
  * Bump debhelper compatibility level to 13.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 03 Jun 2020 15:30:18 +0200

roundcube-plugins-extra (1.4.0-20200423) unstable; urgency=low

  * Rename d/source.lintian-overrides to d/source/lintian-overrides.
  * d/control: Bump debhelper compatibility level to 12 and set
    debhelper-compat version in Build-Depends.
  * d/control: Set 'Rules-Requires-Root: no'.
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed).
  * d/roundcube-plugins-extra.lintian-overrides: Use wildcard in path name.
  * d/rules: Check DEB_BUILD_OPTIONS in override_dh_auto_test.
  * d/control: Replace yui-compressor with closure-compiler in Build-Depends.
  * d/rules: Replace yui-compressor with closure-compiler as JavaScript
    minifier for consistency with Roundcube upstream (and >=1.4 in Debian).
  * d/plugins/*/watch: Bump format version to 4 from 3 (no change needed).
  * d/plugins/*/watch: Relax matching version pattern to v?(\d[\d.]*).
    roundcube-thunderbird_labels started prefixing versions with a 'v' in
    >1.0.0 (released 2014), causing uscan(1) to fail to discover later
    versions.
  * d/scripts/plugins.py: Preserve 'InstallName' field and value across
    plugins.overview updates.
  * Update contextmenu to 3.1 from 2.3
  * Update sauserprefs to 1.18.1 from 1.17.1
  * Update thunderbird-labels to 1.4.2 from 1.0.0 (closes: #940205)
  * Remove markasjunk2 (subsumed by markasjunk from roundcube-plugins)
  * Remove sieverules (subsumed by managesieve from roundcube-plugins)
  * Replace unmaintained dkimstatus plugin by new plugin authres_status
    (closes: #948030)
  * New plugin html5-notifier (Desktop Notifications for Roundcube)
  * d/control: Bump minimum Roundcube version to 1.4.0.
  * d/control: New Build-Depends: coffeescript (used to rebuild
    thunderbird-labels/tb_label.js from its .coffee sources).
  * d/control: New Build-Depends: node-less (used to rebuild generated CSS
    from their .less sources).  This in turns pulls in roundcube-core to
    Build-Depends:.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 23 Apr 2020 19:31:33 +0200
