=== debian/control ===
Source: roundcube-plugins-extra
Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
Uploaders: Jérémy Bobbio <lunar@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Guilhem Moulin <guilhem@debian.org>
Section: web
Priority: optional
Build-Depends: closure-compiler,
               coffeescript,
               debhelper-compat (= 13),
               node-less,
               roundcube-core (>= 1.4.4),
               yui-compressor
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra.git
Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra

Package: roundcube-plugins-extra
Architecture: all
Depends: roundcube-core (>= 1.4.4), ${misc:Depends}
Suggests: fail2ban
Description: skinnable AJAX based webmail solution - extra plugins
 RoundCube Webmail is a browser-based multilingual IMAP client with an
 application-like user interface. It provides full functionality
 expected from an e-mail client, including MIME support, address book,
 folder manipulation and message filters.
 .
 The user interface is fully skinnable using XHTML and CSS 2.
 .
 This package provides a collection of several plugins for Roundcube that
 are not maintained directly by Roundcube authors, namely:
  - authres-status
  - compose-addressbook
  - contextmenu
  - dovecot-impersonate
  - fail2ban
  - html5-notifier
  - keyboard-shortcuts
  - listcommands
  - message-highlight
  - sauserprefs
  - thunderbird-labels
 .
 They should be enabled in the configuration of Roundcube.
