## roundcube-plugins-extra 1.4.10+1

=== debian/changelog ===
roundcube-plugins-extra (1.4.10+1-3) unstable; urgency=medium

  * d/control: Fix plugin names (replace hyphens with underscores) in the long
    package description.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 01 Mar 2021 00:20:20 +0100

roundcube-plugins-extra (1.4.10+1-2) unstable; urgency=medium

  * Fix imported LESS source paths in sourcemaps.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Feb 2021 01:32:59 +0100

roundcube-plugins-extra (1.4.10+1-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New upstream release:
    - Update roundcube-sauserprefs to version 1.18.4 from 1.18.3.
    - Update thunderbird-labels to 1.4.10 from 1.4.9.
  * d/rules: Complete refactoring.
  * d/rules: Remove check for nocheck build option from override_dh_auto_test,
    as it's no longer needed in Debhelper compatibility level 13.
  * Rename Debian branch to debian/latest for DEP-14 compliance.
  * Require node-less 3 or later in Build-Depends (for the --rewrite-urls=all
    option).
  * Lintian overrides: Remove package annotations.
  * Replace Build-Depends: closure-compiler, yui-compressor with cleancss,
    uglifyjs (>=3), used respectively for CSS and Javascript minification.
    Build also source maps alongside the minified code.
  * Install upstream documentation and changelog files to
    /usr/share/doc/roundcube-plugins-extra/$PLUGIN_NAME/.
  * Lintian: Override false positive
    package-contains-documentation-outside-usr-share-doc
  * New Build-Depends: pigz.  Ship gzipped (minified) JS and CSS files along
    side the non-compressed versions.  Compatible HTTPds can send these files
    as is in order to avoid on-the-fly compression overhead.

  [ Jesse Norell ]
  * Fix compose_addressbook plugin with classic theme.  (Closes: #979526)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 08 Feb 2021 20:45:00 +0100

roundcube-plugins-extra (1.4.9+2-1) unstable; urgency=medium

  * New upstream release:
    - Update thunderbird-labels to version 1.4.9 from 1.4.8.
  * d/control: Replace lessc's deprecated --relative-urls option with
    --rewrite-urls=all.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 21 Dec 2020 02:12:04 +0100

roundcube-plugins-extra (1.4.9+1-1) unstable; urgency=medium

  * New upstream release:
    - Update contextmenu to 3.2.1 from 3.2
    - Update sauserprefs to 1.18.3 from 1.18.2
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 07 Dec 2020 16:51:15 +0100

roundcube-plugins-extra (1.4.8+1-1) unstable; urgency=medium

  * d/patches/fix-thunderbird-labels-coffee2js.patch: Mark 'Forwarded:
    not-needed'.
  * Update authres-status to version 0.6.2 from 0.6.1, which adds DMARC
    support.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 06 Sep 2020 16:15:24 +0200
