=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
            Guilhem Moulin <guilhem@debian.org>
 Section: web
 Priority: optional
-Build-Depends: closure-compiler,
+Build-Depends: cleancss,
                coffeescript,
                debhelper-compat (= 13),
-               node-less,
+               node-less (>= 3~),
+               pigz,
                roundcube-core (>= 1.4.4),
-               yui-compressor
+               uglifyjs (>= 3)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra.git
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra
 
 Package: roundcube-plugins-extra
@@ -30,16 +31,16 @@
  .
  This package provides a collection of several plugins for Roundcube that
  are not maintained directly by Roundcube authors, namely:
-  - authres-status
-  - compose-addressbook
+  - authres_status
+  - compose_addressbook
   - contextmenu
-  - dovecot-impersonate
+  - dovecot_impersonate
   - fail2ban
-  - html5-notifier
-  - keyboard-shortcuts
+  - html5_notifier
+  - keyboard_shortcuts
   - listcommands
-  - message-highlight
+  - message_highlight
   - sauserprefs
-  - thunderbird-labels
+  - thunderbird_labels
  .
  They should be enabled in the configuration of Roundcube.
