## roundcube-plugins-extra 1.6

=== debian/changelog ===
roundcube-plugins-extra (1.6-1) unstable; urgency=low

  * This source package is now a dummy transitional package.  The third-party
    Rouncdube plugins it used to ship are now split across individual
    roundcube-plugin-* source packages.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 22 Oct 2023 02:19:39 +0200

roundcube-plugins-extra (1.4.10+1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2, 3.

  [ Guilhem Moulin ]
  * d/control: Build-Depends: Drop versioned constraint on uglifyjs.
  * Refresh lintian overrides to accommodate lintian v2.115.
  * Update standards version to 4.6.2, no changes needed.
  * Convert more Lintian overrides to new format.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Jan 2023 18:26:30 +0100
