=== debian/control ===
Source: roundcube-plugins-extra
Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Guilhem Moulin <guilhem@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube-plugins-extra

Package: roundcube-plugins-extra
Architecture: all
Depends: ${misc:Depends},
 roundcube-plugin-authres-status,
 roundcube-plugin-compose-addressbook,
 roundcube-plugin-contextmenu,
 roundcube-plugin-dovecot-impersonate,
 roundcube-plugin-fail2ban,
 roundcube-plugin-html5-notifier,
 roundcube-plugin-keyboard-shortcuts,
 roundcube-plugin-listcommands,
 roundcube-plugin-message-highlight,
 roundcube-plugin-sauserprefs,
 roundcube-plugin-thunderbird-labels
Description: transitional dummy package for roundcube-plugin-*
 This is a transitional dummy package to get upgrading systems to install the
 various roundcube-plugin-* packages formerly included in this package.  It can
 safely be removed once no other package depends on it.
